clear all

load Scat_kernel

for plot_count = 1:2
    if plot_count == 1
        S1 = [K_single_T8((end+1)/2:1:end-1);K_single_T8(1:(end-1)/2)];
    else
        S1 = [K_array_T8((end+1)/2:1:end-1);K_array_T8(1:(end-1)/2)];
    end
    
    Theta = theta(1:1:end-1);
    
    N = length(Theta)/2;
    
    dtheta = Theta(2) - Theta(1);
    
    S = dtheta*toeplitz(S1);
    
    beta = sum(S);
    
    S = S - diag(beta);
    
    
    
            T = 8;
    omega = 2*pi/T;
    g = 9.81;
    k = omega^2/g;
    lambda = 2*pi/k;
    c_g = g/2/omega;
    
    I = exp(-10*Theta.'.^2);
    
    
    subplot(2,1,plot_count)
    for t = 0:.1:.3
        plot(Theta,expm(t*3600*c_g*S)*I)
        hold on
    end
    hold off
    xlabel('$\theta$','Interpreter','Latex')
    ylabel('$I$','Interpreter','Latex')
    legend(['t=0.0';'t=0.1';'t=0.2';'t=0.3'])
end


% print -depsc ../Figures/time_T8

for plot_count = 1:2
    if plot_count == 1
        S1 = [K_single_T12((end+1)/2:1:end-1);K_single_T12(1:(end-1)/2)];
    else
        S1 = [K_array_T12((end+1)/2:1:end-1);K_array_T12(1:(end-1)/2)];
    end
    
    Theta = theta(1:1:end-1);
    
    N = length(Theta)/2;
    
    dtheta = Theta(2) - Theta(1);
    
    S = dtheta*toeplitz(S1);
    
    beta = sum(S);
    
    S = S - diag(beta);
    
    
    
            T = 12;
    omega = 2*pi/T;
    g = 9.81;
    k = omega^2/g;
    lambda = 2*pi/k;
    c_g = g/2/omega;
    
    I = exp(-10*Theta.'.^2);
    
    
    subplot(2,1,plot_count)
    for t = 0:1:3
        plot(Theta,expm(t*3600*c_g*S)*I)
        hold on
    end
    hold off
    xlabel('$\theta$','Interpreter','Latex')
    ylabel('$I$','Interpreter','Latex')
    legend(['t=0';'t=1';'t=2';'t=3'])
end


% print -depsc ../Figures/time_T12




