load Scat_kernel_Mike

S1_single = [K_single_T8((end+1)/2:1:end-1);K_single_T8(1:(end-1)/2)];
S1_array = [K_array_T8((end+1)/2:1:end-1);K_array_T8(1:(end-1)/2)];

Theta = theta(1:1:end-1);
N = length(Theta)/2;
dtheta = Theta(2) - Theta(1);

S_array = dtheta*toeplitz(S1_array);
beta_array = sum(S_array);
S_array = S_array - diag(beta_array);

S_single = dtheta*toeplitz(S1_single);
beta_single = sum(S_single);
S_single = S_single - diag(beta_single);

T = 8;
omega = 2*pi/T;
g = 9.81;
k = omega^2/g;
lambda = 2*pi/k;
c_g = g/2/omega;

t = linspace(0,1,301);
N0 = exp(-10*Theta.'.^2);

vidfile = VideoWriter('anim_T8.mp4');
open(vidfile);
figure('color','white')
plot(Theta,N0,'k','LineWidth',2)
hold on
plot(Theta,N0,'r','LineWidth',1)
xlabel('$\theta$ [rad]','Interpreter','latex')
ylabel('$N(t,\theta)$ [m$^2$]','Interpreter','latex')
title('t = 0')
legend('array','single floe')
axis([-pi pi 0 1])
writeVideo(vidfile, getframe(gcf));
pause(0.1)
close all

for ii = 2:length(t)
    figure('color','white')
    plot(Theta,expm(t(ii)*3600*c_g*S_array)*N0,'k','LineWidth',2)
    hold on
    plot(Theta,expm(t(ii)*3600*c_g*S_single)*N0,'r','LineWidth',1)
    xlabel('$\theta$ [rad]','Interpreter','latex')
    ylabel('$N(t,\theta)$ [m$^2$]','Interpreter','latex')
    title(['t = ' num2str(round(10*t(ii))/10)])
    legend('array','single floe')
    axis([-pi pi 0 1])
    writeVideo(vidfile, getframe(gcf));
    pause(0.1)
    close all
end
close(vidfile)