function out = innerproduct(k,kappa,h1)
% program to calculate 
% \int_{-h}^{-h+h1} \cosh \kappa \left(z + h\right) 
% \cosh k \left(z + h\right) dz

% first we test for the case when \kappa and k are equal (or nearly equal)
if abs((k-kappa)*h1) > 1e-12
    out = 0.5*(sinh((kappa - k)*h1)) / (kappa - k) ...
        + 0.5*(sinh((kappa + k)*h1)) / (kappa + k);
else
    if k == 0
        out = h1;
    elseif k == kappa
        out = 0.5*(h1 + sinh(2*k*h1)/(2*k));
    else
        out = 0.5*(sinh((kappa + k)*h1)) / (kappa + k) ...
        + 0.5*h1*(1 + (kappa-k)^2*h1^2/6);
    end
end