function T_scat = Multi_scat_DTM(Np, FSD, FSP, k, T0, Gamma, M, N)


% Polar coordinates of centre of floe l into local coordinates 
% associated with floe j
R   = zeros(Np,Np);
psi = zeros(Np,Np);
for j = 1:Np
    for l = 1:Np
        [R(j,l),psi(j,l)] = coordinate_change(FSD(j,:), FSD(l,:));        
    end
end

%% Single floe solution
DTM_floes = cell(size(FSP,1),1);
for jj = 1:size(FSP,1)
    load(['Data DTM/DTMext_a' num2str(FSP(jj,1)) '_h' num2str(FSP(jj,2)) ...
        '_Gamma' num2str(Gamma) '_T' num2str(T0) '.mat'],'DTM_ext')
    DTM_floes{jj} = DTM_ext;
end

% Concatenate all the floe DTMs into diagonal mattrix
DTMs = zeros(Np*(2*N+1)*(M+1),1);
for i = 1:Np
    for n = -N:N
        DTMs((i-1)*(2*N+1)*(M+1)+(n+N)*(M+1)+1:...
            (i-1)*(2*N+1)*(M+1)+(n+N+1)*(M+1)) = ...
            DTM_floes{FSD(i,3)}{abs(n)+1};
    end
end
DTMs = diag(DTMs);

%% T-matrix of the slab for cylindrical harmonics
tic
% Interaction matrix (Graf)
Mat_inter = Inter_matrix_def(R, psi, DTM_floes, FSP(:,1), FSD(:,3), k, ...
    M, N, Np);
toc

tic
% Diffraction transfer matrix of the interacting system 
% (maps local inc amps to scat amps)
T_scat = (eye(Np*(2*N+1)*(M+1)) - Mat_inter)\eye(Np*(2*N+1)*(M+1));
T_scat = DTMs*T_scat;
toc
% x = gmres(@mat_vec,coefs_in,100,1e-8);
% 
%     function y = mat_vec(x)
% 
%     y = x - Mat_inter*x;
%     end
end